{% extends 'base.html.twig' %}

{% block title %}{{page_title}}{% endblock %}

{% block body %}
<div class="col-md-12">
    <div class="content-box-large">
        <div class="panel-heading">
          <div class="panel-title">{{'Attributes'|trans}}</div>
          
          <div class="panel-options">
              <a href="{{path('attribute_add')}}" data-rel="collapse"><i class="fa fa-plus"></i></a>
          </div>
      </div>
        <div class="panel-body">
          <div class="table-responsive">
            <table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>{{'Name'|trans}}</th>
                <th>{{'Code'|trans}}</th>
                <th>{{'Label'|trans}}</th>
                <th>{{'Type'|trans}}</th>
                <th>{{'Actions'|trans}}</th>
              </tr>
            </thead>
            <tbody>
             {% for attribute in attributes %} 
              <tr>
                <td>
                  {{attribute.id}}
                </td>
                <td>
                  {{attribute.name}}
                </td>
                <td>
                  {{attribute.code}}
                </td>
                <td>
                  {{attribute.label}}
                </td>
                <td>
                  {{attribute.getFormattedType()}}
                </td>
               
                <td>
                    <a href="{{path('attribute_edit',{
                      id:attribute.id
                  })}}">
                      <i class="fa fa-edit"></i>
                  </a>

                    <a href="{{path('attribute_delete',{
                        id:attribute.id
                    })}}">
                        <i class="fa fa-trash-alt"></i>
                    </a>
                </td>
            </tr>
            {% endfor %}
            </tbody>
          </table>
          </div>
          {{knp_pagination_render(attributes)}}
        </div>
    </div>
</div>
{% endblock %}

